/*
This is a part of the LiteStep Shell Source code.

Copyright (C) 1997-2001 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ 
/*
  Copyright (C) 1998-1999 Johan Redestig
 
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/****************************************************************************
****************************************************************************/
#include "stdafx.h"
#include "Painter.h"
#include "MenuItem.h"

Painter::Painter()
{
	m_hFont = NULL;
	m_FontColor = 0;
	m_nShadowDepth = 0;
	m_dwShadowColor = 0;
}

Painter::~Painter()
{
}

void Painter::Paint(HDC hDC, CONST RECT *prc)
{
	// to be overridden in derived classes
}

void Painter::Paint(MenuItem* m, HDC hDC)
{
	/* if(m_hFont != NULL)
{
		SelectObject(hDC, m_hFont);
		SetTextColor(hDC, m_FontColor);
} */

	RECT rc;
	m->GetItemRect(&rc);
	Paint(hDC, &rc);
}

void Painter::GetRegion(HRGN hRgn, CONST RECT *prc)
{
	SetRectRgn(hRgn, prc->left, prc->top, prc->right, prc->bottom);
}

void Painter::GetRegion(HRGN hRgn, MenuItem* pItem)
{
	// SetRectRgn(hRgn, 0, 0, pItem->GetWidth(), pItem->GetHeight());

	RECT rc;
	SetRect(&rc, 0, 0, pItem->GetWidth(), pItem->GetHeight());
	GetRegion(hRgn, &rc);
}

/*
void Painter::PaintText(HDC hDC, const RECT &r, LPCSTR pszText, UINT uFlags)
{
	HFONT hfnSave = (HFONT) SelectObject(hDC, m_hFont);
	COLORREF clrSave = SetTextColor(hDC, m_FontColor);
	int nModeSave = SetBkMode(hDC, TRANSPARENT);
 
	RECT r2 = r;
	DrawText(hDC, pszText, strlen(pszText), &r2, uFlags);
 
	SelectObject(hDC, hfnSave);
	SetTextColor(hDC, clrSave);
	SetBkMode(hDC, nModeSave);
}
*/
